# Retrieve hotels content by IDs

URL: https://docs.emergingtravel.com/docs/content-api/retrieve-hotels-content-by-ids/

Tags: content-api

---



**Sandbox**

```
https://api-sandbox.worldota.net/api/content/v1/hotel_content_by_ids/
```

**Production**

```
https://api.worldota.net/api/content/v1/hotel_content_by_ids/
```




The call allow to obtain a required hotel content by id.
Use the call in cases:

* Instead of [hotel static data](/docs/affiliate-api/static-content/retrieve-hotel-content/)
* You want to check the content before making a booking with a possible update.
* Use this call after the [Retrieve hotel IDs by filter](/docs/content-api/retrieve-hotel-ids-by-filter/) call.

> [!NOTE]
> Call is limited to 1200 requests per minute (QPM).



## Sandbox limitations { #limitations }

> [!WARNING]
> Use only field values, IDs, API keys, and any static content from the sandbox environment within the sandbox. <strong>Do not use sandbox data in test or production environments, and do not mix data or configuration between different environments.</strong>




## Request example


**Sandbox**

```shell
curl --user '<KEY_ID>:<API_KEY>' 'https://api-sandbox.worldota.net/api/content/v1/hotel_content_by_ids' \
--header 'Content-Type: application/json' \
--data '{
  "hids": [9852019],
  "language": "en"
}'
```

**Production**

```shell
curl --user '<KEY_ID>:<API_KEY>' 'https://api.worldota.net/api/content/v1/hotel_content_by_ids/' \
--header 'Content-Type: application/json' \
--data '{
  "hids": [9852019],
  "language": "en"
}'
```




## Request body



[//]: # (hids)
- **hids** *([Int])*

  <p>The unique hotel IDs in the new numeric format.</p>
  <blockquote>
  <p>[!NOTE]</p>
  <ul>
  <li>Each ID is an integer no longer than 10 digits.</li>
  <li>We are gradually migrating all clients to use this format.</li>
  <li>Use the values from the call [Retrieve hotel IDs by filter](/docs/content-api/retrieve-hotel-ids-by-filter/#hids)
  .</li>
  </ul></blockquote>


[//]: # (ids)
- **ids** *([String], deprecated)*

  <p>A list of unique hotel IDs in the legacy string format.</p>


[//]: # (language)
- **language** *(String, required)*

  <p>The language.</p>
  <blockquote>
  <p>[!NOTE]</p>
  <ul>
  <li>Use the <code>value</code> field from the call [Retrieve filter values](/docs/content-api/retrieve-filter-values/#language)
  .</li>
  </ul></blockquote>





## Response



[//]: # (address)
- **address** *(String)*

  <p>The hotel physical address.</p>


[//]: # (amenity_groups)
- **amenity_groups** *([Object])*

  <p>The hotel amenities list divided in groups. For example, Health and Safety Measures, Beauty and wellness.</p>
  > [!NOTE]
  > The full list of supported group values is available in the [`amenity_translations`](/docs/b2b-api/static-content/retrieve-hotel-static-data/#amenity_translations) directory.
  <ul>
  <li>
  <p><strong>amenities</strong> <em>([String])</em></p>
  <p>The list of amenities inside the group.</p>
  </li>
  <li>
  <p><strong>group_name</strong> <em>(String)</em></p>
  <p>The amenity group name.</p>
  </li>
  <li>
  <p><strong>non_free_amenities</strong> <em>([String])</em></p>
  <p>The list of additional non-free services.</p>
  </li>
  </ul>


[//]: # (check_in_time)
- **check_in_time** *(String)*

  <p>The check-in time. Local time in <code>HH:MM:SS</code> format (24-hour).</p>


[//]: # (check_in_time_end)
- **check_in_time_end** *(String)*

  <p>The latest allowed check-in time in 24-hour format, or empty if unspecified.</p>


[//]: # (check_out_time)
- **check_out_time** *(String)*

  <p>The check-out time. The local time in the <code>HH:MM:SS</code> format (24-hour).</p>


[//]: # (description_struct)
- **description_struct** *(Object)*

  <p>The list of hotel descriptions divided into paragraphs.</p>
  > [!NOTE]
  > Store and display it in the UI, but do not index it or use it for internal search queries or SEO.
  <ul>
  <li>
  <p><strong>paragraphs</strong> <em>([String])</em></p>
  <p>The description itself.</p>
  </li>
  <li>
  <p><strong>title</strong> <em>(String)</em></p>
  <p>The description title.</p>
  </li>
  </ul>


[//]: # (email)
- **email** *(String)*

  <p>The hotel email address.</p>


[//]: # (hotel_chain)
- **hotel_chain** *(String)*

  <p>The hotel chain name.</p>


[//]: # (id)
- **id** *(String, deprecated)*

  <p>The unique hotel ID in the legacy string format.</p>
  > [!NOTE]
  > * Either this field or the `hid` field is required.


[//]: # (hid)
- **hid** *(Int)*

  <p>The unique hotel ID in the new numeric format.</p>
  > [!NOTE]
  > * Each ID is an integer no longer than 10 digits.
  > * We are gradually migrating all clients to use this format.


[//]: # (images_ext)
- **images_ext** *([Object])*

  <p>Information about the hotel images divided into categories.</p>
  <ul>
  <li>
  <p><strong>category_slug</strong> <em>(String)</em></p>
  <p>The hotel image category.</p>
  <blockquote>
  <p>[!NOTE]</p>
  <ul>
  <li>The possible values:
  <ul>
  <li><code>unspecified</code> — unspecified.</li>
  <li><code>balcony</code> — balconies.</li>
  <li><code>bathroom</code> — bathrooms.</li>
  <li><code>beach</code> — beaches.</li>
  <li><code>business</code> — business zone.</li>
  <li><code>entertainment</code> — entertainment zones.</li>
  <li><code>exterior</code> — hotel exterior.</li>
  <li><code>guest_rooms</code> — guest rooms.</li>
  <li><code>hotel_front</code> — hotel front.</li>
  <li><code>hotel_rooms</code> — hotel rooms.</li>
  <li><code>lobby</code> — lobby.</li>
  <li><code>meal</code> — meals.</li>
  <li><code>outside</code> — hotel outside view.</li>
  <li><code>pool</code> — pools.</li>
  <li><code>spa</code> — SPA zones.</li>
  <li><code>sports</code> — sport zones.</li>
  <li><code>children</code> — children zones.</li>
  <li><code>miscellaneous</code> — other.</li>
  </ul>
  </li>
  </ul></blockquote>
  </li>
  <li>
  <p><strong>url</strong> <em>(String)</em></p>
  <p>The URL for the hotel image.</p>
  <blockquote>
  <p>[!NOTE]</p>
  <ul>
  <li>The recommended method for displaying these images in our UI (e.g., direct linking to the provided URLs).</li>
  <li>We do not block users arbitrarily; restrictions are only applied in case of suspected DDoS attacks.</li>
  <li>Each URL has the <code>{size}</code> placeholder. Meaning, the size of the image you can get.
  <ul>
  <li>The possible size meanings:
  <ul>
  <li><code>crop</code> — the image is fit by the width and is cut equally from the bottom and top till the middle part of the height.</li>
  <li><code>fit-h</code> — the image is fit into the rectangle by the height.</li>
  <li><code>fit-w</code> — the image is scaled so that its width fits the given value, and the height is adjusted proportionally.</li>
  <li><code>fit-w-min</code> — the image is scaled so that its width is at least the specified value (if it&rsquo;s smaller, it is enlarged; if it&rsquo;s larger, it is reduced), while the height is adjusted proportionally. No cropping occurs.</li>
  <li><code>fit</code> — the image is fit into the rectangle by the size in question.</li>
  </ul>
  </li>
  <li>The possible values:
  <ul>
  <li><code>1024x768</code> — fit.</li>
  <li><code>x220</code> — fit-h.</li>
  <li><code>x500</code> — fit-h.</li>
  <li><code>x768</code> — fit-h.</li>
  <li><code>40x40</code> — crop.</li>
  <li><code>80x80</code> — crop.</li>
  <li><code>100x100</code> — crop.</li>
  <li><code>120x120</code> — crop.</li>
  <li><code>241x241</code> — crop.</li>
  <li><code>240x240</code> — crop.</li>
  <li><code>154x105</code> — crop.</li>
  <li><code>170x154</code> — crop.</li>
  <li><code>640x350</code> — crop.</li>
  <li><code>320x175</code> — crop.</li>
  <li><code>200x200</code> — crop.</li>
  <li><code>1080x522</code> — crop.</li>
  <li><code>750x400</code> — crop.</li>
  <li><code>640x400</code> — crop.</li>
  <li><code>120x90</code> — crop.</li>
  <li><code>90x75</code> — crop.</li>
  <li><code>x300</code> — fit-h.</li>
  <li><code>x600</code> — fit-h.</li>
  <li><code>100x130</code> — crop.</li>
  <li><code>x296</code> — fit-h.</li>
  <li><code>100x50</code> — crop.</li>
  <li><code>x100</code> — fit-h.</li>
  <li><code>100x</code> — fit-w.</li>
  <li><code>640x230</code> — crop.</li>
  <li><code>370x</code> — fit-w.</li>
  <li><code>645x255</code> — crop.</li>
  <li><code>450x161</code> — crop.</li>
  <li><code>x102</code> — fit-h.</li>
  <li><code>225x60</code> — fit.</li>
  <li><code>828x560</code> — fit.</li>
  <li><code>640x640</code> — crop.</li>
  <li><code>196x196</code> — crop.</li>
  <li><code>1298x</code> — fit-w.</li>
  <li><code>295x220</code> — crop.</li>
  <li><code>2048x2048</code> — crop.</li>
  <li><code>304x</code> — fit-w.</li>
  <li><code>304x140</code> — crop.</li>
  <li><code>x700</code> — fit-h.</li>
  <li><code>112x112</code> — crop.</li>
  <li><code>695x</code> — fit-w-min.</li>
  <li><code>1300x620</code> — fit-w.</li>
  <li><code>2600x1240</code> — fit-w.</li>
  <li><code>600x313</code> — fit-w.</li>
  <li><code>1200x616</code> — fit-w.</li>
  <li><code>326x220</code> — fit-w.</li>
  <li><code>768x1024</code> — fit-h.</li>
  <li><code>900x900</code> — crop.</li>
  <li><code>1920x1080</code> — fit.</li>
  <li><code>1080x1920</code> — fit-h.</li>
  <li><code>x1080</code> — fit-h.</li>
  <li><code>x1920</code> — fit-h.</li>
  <li><code>1920x</code> — fit-w.</li>
  <li><code>1080x</code> — fit-w.</li>
  </ul>
  </li>
  </ul>
  </li>
  </ul></blockquote>
  </li>
  </ul>


[//]: # (kind)
- **kind** *(String)*

  <p>The hotel type.</p>
  > [!NOTE]
  > The possible values:
  > * `Unspecified`,
  > * `Resort`.
  > * `Sanatorium`.
  > * `Guesthouse`.
  > * `Mini-hotel`.
  > * `Castle`.
  > * `Hotel`.
  > * `Boutique_and_Design`.
  > * `Apartment`.
  > * `Cottages_and_Houses`.
  > * `Farm`.
  > * `Villas_and_Bungalows`.
  > * `Camping`.
  > * `Hostel`.
  > * `BNB`.
  > * `Glamping`.
  > * `Apart-hotel`.


[//]: # (latitude)
- **latitude** *(Float)*

  <p>The hotel geographical latitude.</p>


[//]: # (longitude)
- **longitude** *(Float)*

  <p>The hotel geographical longitude.</p>


[//]: # (name)
- **name** *(String)*

  <p>The hotel name.</p>


[//]: # (metapolicy_struct)
- **metapolicy_struct** *(Object)*

  <p>The additional accommodation conditions. Is the same as the section “Hotel policies” from hotel pages on the core website.</p>
  <p>In the field, you can find taxes and fees not included in the booking price.</p>
  <p><strong>The data from this param must be shown.</strong></p>
  > [!NOTE]
  > For step-by-step instructions and code examples on processing this field, see [Metapolicy_struct](/docs/how-tos/process-fields/metapolicy-struct/).
  <ul>
  <li>
  <p><strong>add_fee</strong> <em>([Object])</em></p>
  <p>The additional services, fees, and taxes information.</p>
  <ul>
  <li>
  <p><strong>currency</strong> <em>(String)</em></p>
  <p>The additional services, fees, and taxes price currency. Is the same as the hotel currency.</p>
  </li>
  <li>
  <p><strong>fee_type</strong> <em>(String)</em></p>
  <p>The additional service type.</p>
  > [!NOTE]
  > The possible values:
  > * `unspecified`.
  > * `television`.
  > * `towels`.
  > * `conditioning`.
  > * `housekeeping`.
  > * `heating`.
  > * `refrigerator`.
  > * `utility`.
  > * `safe`.
  > * `microwave`.
  > * `luggage_storage`.
  > * `tour_guide`.
  > * `bicycle_rental`.
  > * `baby_highchair`.
  > * `bed_linen`.
  > * `towels_only`.
  > * `luggage_storage_apartment`.
  > * `luggage_storage_office`.
  </li>
  <li>
  <p><strong>price</strong> <em>(String)</em></p>
  <p>The additional services, fees, and taxes price in the hotel currency.</p>
  </li>
  <li>
  <p><strong>price_unit</strong> <em>(String)</em></p>
  <p>The additional service price unit.</p>
  <blockquote>
  <p>[!NOTE]
  The possible values:</p>
  <ul>
  <li><code>unspecified</code>.</li>
  <li><code>per_guest_per_night</code>.</li>
  <li><code>per_guest_per_stay</code>.</li>
  <li><code>per_room_per_night</code>.</li>
  <li><code>per_room_per_stay</code>.</li>
  <li><code>per_hour</code>.</li>
  <li><code>per_week</code>.</li>
  </ul></blockquote>
  </li>
  </ul>
  </li>
  <li>
  <p><strong>check_in_check_out</strong> <em>([Object])</em></p>
  <p>The check-in and check-out policies’ information.</p>
  <ul>
  <li>
  <p><strong>check_in_check_out_type</strong> <em>(String)</em></p>
  <p>The check-in or check-out type.</p>
  > [!NOTE]
  > The possible values:
  > * `unspecified`.
  > * `early_checkin`.
  > * `late_checkout`.
  > * `holiday_checkin`.
  > * `holiday_checkout`.
  </li>
  <li>
  <p><strong>currency</strong> <em>(String)</em></p>
  <p>The check-in and check-out price currency. Is the same as the hotel currency.</p>
  </li>
  <li>
  <p><strong>inclusion</strong> <em>(String)</em></p>
  <p>The check-in and check-out inclusion.</p>
  <blockquote>
  <p>[!NOTE]
  The possible values:</p>
  <ul>
  <li><code>unspecified</code>.</li>
  <li><code>included</code>.</li>
  <li><code>not_included</code>.</li>
  </ul></blockquote>
  </li>
  <li>
  <p><strong>price</strong> <em>(String)</em></p>
  <p>The check-in or check-out price in the hotel currency.</p>
  </li>
  </ul>
  </li>
  <li>
  <p><strong>children</strong> <em>([Object])</em></p>
  <p>The children extra beds’ policy information.</p>
  <ul>
  <li>
  <p><strong>age_start</strong> <em>(Int)</em></p>
  <p>The minimum child age for the children extra bed policy being applied.</p>
  </li>
  <li>
  <p><strong>age_end</strong> <em>(Int)</em></p>
  <p>The maximum child age for the children extra bed policy being applied.</p>
  </li>
  <li>
  <p><strong>currency</strong> <em>(String)</em></p>
  <p>The child extra bed price currency. Is the same as the hotel currency.</p>
  </li>
  <li>
  <p><strong>extra_bed</strong> <em>(String)</em></p>
  <p>The extra bed for a child availability.</p>
  > [!NOTE]
  > The possible values:
  > * `unspecified`.
  > * `available`.
  > * `unavailable`.
  </li>
  <li>
  <p><strong>price</strong> <em>(String)</em></p>
  <p>The child extra bed price in the hotel currency.</p>
  </li>
  </ul>
  </li>
  <li>
  <p><strong>children_meal</strong> <em>([Object])</em></p>
  <p>The children meals’ policy information.</p>
  <ul>
  <li>
  <p><strong>age_start</strong> <em>(Int)</em></p>
  <p>The minimum child age for the children meal policy being applied.</p>
  </li>
  <li>
  <p><strong>age_end</strong> <em>(Int)</em></p>
  <p>The maximum child age for the children meal policy being applied.</p>
  </li>
  <li>
  <p><strong>currency</strong> <em>(String)</em></p>
  <p>The children meal price currency. Is the same as the hotel currency.</p>
  </li>
  <li>
  <p><strong>inclusion</strong> <em>(String)</em></p>
  <p>The children meal inclusion.</p>
  <blockquote>
  <p>[!NOTE]
  The possible values:</p>
  <ul>
  <li><code>unspecified</code>.</li>
  <li><code>included</code>.</li>
  <li><code>not_included</code>.</li>
  </ul></blockquote>
  </li>
  <li>
  <p><strong>meal_type</strong> <em>(String)</em></p>
  <p>The children meal type.</p>
  <blockquote>
  <p>[!NOTE]
  The possible values:</p>
  <ul>
  <li><code>unspecified</code>.</li>
  <li><code>all-inclusive</code>.</li>
  <li><code>breakfast</code>.</li>
  <li><code>breakfast-buffet</code>.</li>
  <li><code>continental-breakfast</code>.</li>
  <li><code>dinner</code>.</li>
  <li><code>full-board</code>.</li>
  <li><code>half-board</code>.</li>
  <li><code>lunch</code>.</li>
  <li><code>nomeal</code>.</li>
  <li><code>some-meal</code>.</li>
  <li><code>english-breakfast</code>.</li>
  <li><code>american-breakfast</code>.</li>
  <li><code>asian-breakfast</code>.</li>
  <li><code>chinese-breakfast</code>.</li>
  <li><code>israeli-breakfast</code>.</li>
  <li><code>japanese-breakfast</code>.</li>
  <li><code>scandinavian-breakfast</code>.</li>
  <li><code>scottish-breakfast</code>.</li>
  <li><code>breakfast-for-1</code>.</li>
  <li><code>breakfast-for-2</code>.</li>
  <li><code>super-all-inclusive</code>.</li>
  <li><code>soft-all-inclusive</code>.</li>
  <li><code>ultra-all-inclusive</code>.</li>
  <li><code>half-board-lunch</code>.</li>
  <li><code>half-board-dinner</code>.</li>
  </ul></blockquote>
  </li>
  <li>
  <p><strong>price</strong> <em>(String)</em></p>
  <p>The children meal price in the hotel currency.</p>
  </li>
  </ul>
  </li>
  <li>
  <p><strong>cot</strong> <em>([Object])</em></p>
  <p>The cots’ policy information.</p>
  <ul>
  <li>
  <p><strong>amount</strong> <em>(Int)</em></p>
  <p>The available cot number.</p>
  </li>
  <li>
  <p><strong>currency</strong> <em>(String)</em></p>
  <p>The cot price currency. Is the same as the hotel currency.</p>
  </li>
  <li>
  <p><strong>inclusion</strong> <em>(String)</em></p>
  <p>The cot inclusion.</p>
  <blockquote>
  <p>[!NOTE]
  The possible values:</p>
  <ul>
  <li><code>unspecified</code>.</li>
  <li><code>included</code>.</li>
  <li><code>not_included</code>.</li>
  </ul></blockquote>
  </li>
  <li>
  <p><strong>price</strong> <em>(String)</em></p>
  <p>The cot price in the hotel currency.</p>
  </li>
  <li>
  <p><strong>price_unit</strong> <em>(String)</em></p>
  <p>The cot price unit.</p>
  <blockquote>
  <p>[!NOTE]
  The possible values:</p>
  <ul>
  <li><code>unspecified</code>.</li>
  <li><code>per_guest_per_night</code>.</li>
  <li><code>per_guest_per_stay</code>.</li>
  <li><code>per_room_per_night</code>.</li>
  <li><code>per_room_per_stay</code>.</li>
  <li><code>per_hour</code>.</li>
  <li><code>per_week</code>.</li>
  </ul></blockquote>
  </li>
  </ul>
  </li>
  <li>
  <p><strong>deposit</strong> <em>([Object])</em></p>
  <p>The deposit information.</p>
  <ul>
  <li>
  <p><strong>availability</strong> <em>(String)</em></p>
  <p>The deposit availability.</p>
  <blockquote>
  <p>[!NOTE]
  The possible values:</p>
  <ul>
  <li><code>unspecified</code>.</li>
  <li><code>available</code>.</li>
  <li><code>unavailable</code>.</li>
  </ul></blockquote>
  </li>
  <li>
  <p><strong>currency</strong> <em>(String)</em></p>
  <p>The deposit amount currency. Is the same as the hotel currency.</p>
  </li>
  <li>
  <p><strong>deposit_type</strong> <em>(String)</em></p>
  <p>The deposit type.</p>
  > [!NOTE]
  > The possible values:
  > * `unspecified`.
  > * `pet`.
  > * `breakage`.
  > * `keys`.
  </li>
  <li>
  <p><strong>payment_type</strong> <em>(String)</em></p>
  <p>The deposit payment type.</p>
  > [!NOTE]
  > The possible values:
  > * `unspecified`.
  > * `cash`.
  > * `card`.
  </li>
  <li>
  <p><strong>price</strong> <em>(String)</em></p>
  <p>The deposit amount in the hotel currency.</p>
  </li>
  <li>
  <p><strong>price_unit</strong> <em>(String)</em></p>
  <p>The deposit amount unit.</p>
  <blockquote>
  <p>[!NOTE]
  The possible values:</p>
  <ul>
  <li><code>unspecified</code>.</li>
  <li><code>per_guest_per_night</code>.</li>
  <li><code>per_guest_per_stay</code>.</li>
  <li><code>per_room_per_night</code>.</li>
  <li><code>per_room_per_stay</code>.</li>
  <li><code>per_hour</code>.</li>
  <li><code>per_week</code>.</li>
  </ul></blockquote>
  </li>
  <li>
  <p><strong>pricing_method</strong> <em>(String)</em></p>
  <p>The deposit pricing method.</p>
  > [!NOTE]
  > The possible values:
  > * `unspecified`.
  > * `percent`.
  > * `fixed`.
  </li>
  </ul>
  </li>
  <li>
  <p><strong>extra_bed</strong> <em>([Object])</em></p>
  <p>The adult extra beds’ policy information.</p>
  <ul>
  <li>
  <p><strong>amount</strong> <em>(Int)</em></p>
  <p>The available extra bed number.</p>
  </li>
  <li>
  <p><strong>currency</strong> <em>(String)</em></p>
  <p>The extra bed price currency. Is the same as the hotel currency.</p>
  </li>
  <li>
  <p><strong>inclusion</strong> <em>(String)</em></p>
  <p>The extra bed inclusion.</p>
  <blockquote>
  <p>[!NOTE]
  The possible values:</p>
  <ul>
  <li><code>unspecified</code>.</li>
  <li><code>included</code>.</li>
  <li><code>not_included</code>.</li>
  </ul></blockquote>
  </li>
  <li>
  <p><strong>price</strong> <em>(String)</em></p>
  <p>The extra bed price in the hotel currency.</p>
  </li>
  <li>
  <p><strong>price_unit</strong> <em>(String)</em></p>
  <p>The extra bed price unit.</p>
  <blockquote>
  <p>[!NOTE]
  The possible values:</p>
  <ul>
  <li><code>unspecified</code>.</li>
  <li><code>per_guest_per_night</code>.</li>
  <li><code>per_guest_per_stay</code>.</li>
  <li><code>per_room_per_night</code>.</li>
  <li><code>per_room_per_stay</code>.</li>
  <li><code>per_hour</code>.</li>
  <li><code>per_week</code>.</li>
  </ul></blockquote>
  </li>
  </ul>
  </li>
  <li>
  <p><strong>internet</strong> <em>([Object])</em></p>
  <p>The internet policy information.</p>
  <ul>
  <li>
  <p><strong>currency</strong> <em>(String)</em></p>
  <p>The internet price currency. Is the same as the hotel currency.</p>
  </li>
  <li>
  <p><strong>inclusion</strong> <em>(String)</em></p>
  <p>The internet inclusion.</p>
  <blockquote>
  <p>[!NOTE]
  The possible values:</p>
  <ul>
  <li><code>unspecified</code>.</li>
  <li><code>included</code>.</li>
  <li><code>not_included</code>.</li>
  </ul></blockquote>
  </li>
  <li>
  <p><strong>internet_type</strong> <em>(String)</em></p>
  <p>The internet type.</p>
  > [!NOTE]
  > The possible values:
  > * `unspecified`.
  > * `wireless`.
  > * `wired`.
  </li>
  <li>
  <p><strong>price</strong> <em>(String)</em></p>
  <p>The internet price in the hotel currency.</p>
  </li>
  <li>
  <p><strong>price_unit</strong> <em>(String)</em></p>
  <p>The internet price unit.</p>
  <blockquote>
  <p>[!NOTE]
  The possible values:</p>
  <ul>
  <li><code>unspecified</code>.</li>
  <li><code>per_guest_per_night</code>.</li>
  <li><code>per_guest_per_stay</code>.</li>
  <li><code>per_room_per_night</code>.</li>
  <li><code>per_room_per_stay</code>.</li>
  <li><code>per_hour</code>.</li>
  <li><code>per_week</code>.</li>
  </ul></blockquote>
  </li>
  <li>
  <p><strong>work_area</strong> <em>(String)</em></p>
  <p>The internet coverage area.</p>
  > [!NOTE]
  > The possible values:
  > * `unspecified`.
  > * `hotel`.
  > * `room`.
  </li>
  </ul>
  </li>
  <li>
  <p><strong>meal</strong> <em>([Object])</em></p>
  <p>The adult meals’ policy information.</p>
  <ul>
  <li>
  <p><strong>currency</strong> <em>(String)</em></p>
  <p>The meal price currency. Is the same as the hotel currency.</p>
  </li>
  <li>
  <p><strong>inclusion</strong> <em>(String)</em></p>
  <p>The meal inclusion.</p>
  <blockquote>
  <p>[!NOTE]
  The possible values:</p>
  <ul>
  <li><code>unspecified</code>.</li>
  <li><code>included</code>.</li>
  <li><code>not_included</code>.</li>
  </ul></blockquote>
  </li>
  <li>
  <p><strong>meal_type</strong> <em>(String)</em></p>
  <p>The meal type.</p>
  <blockquote>
  <p>[!NOTE]
  The possible values:</p>
  <ul>
  <li><code>unspecified</code>.</li>
  <li><code>all-inclusive</code>.</li>
  <li><code>breakfast</code>.</li>
  <li><code>breakfast-buffet</code>.</li>
  <li><code>continental-breakfast</code>.</li>
  <li><code>dinner</code>.</li>
  <li><code>full-board</code>.</li>
  <li><code>half-board</code>.</li>
  <li><code>lunch</code>.</li>
  <li><code>nomeal</code>.</li>
  <li><code>some-meal</code>.</li>
  <li><code>english-breakfast</code>.</li>
  <li><code>american-breakfast</code>.</li>
  <li><code>asian-breakfast</code>.</li>
  <li><code>chinese-breakfast</code>.</li>
  <li><code>israeli-breakfast</code>.</li>
  <li><code>japanese-breakfast</code>.</li>
  <li><code>scandinavian-breakfast</code>.</li>
  <li><code>scottish-breakfast</code>.</li>
  <li><code>breakfast-for-1</code>.</li>
  <li><code>breakfast-for-2</code>.</li>
  <li><code>super-all-inclusive</code>.</li>
  <li><code>soft-all-inclusive</code>.</li>
  <li><code>ultra-all-inclusive</code>.</li>
  <li><code>half-board-lunch</code>.</li>
  <li><code>half-board-dinner</code>.</li>
  </ul></blockquote>
  </li>
  <li>
  <p><strong>price</strong> <em>(String)</em></p>
  <p>The meal price in the hotel currency.</p>
  </li>
  </ul>
  </li>
  <li>
  <p><strong>no_show</strong> <em>([Object])</em></p>
  <p>The no-show policy information.</p>
  <ul>
  <li>
  <p><strong>availability</strong> <em>(String)</em></p>
  <p>The no-show availability.</p>
  <blockquote>
  <p>[!NOTE]
  The possible values:</p>
  <ul>
  <li><code>unspecified</code>.</li>
  <li><code>available</code>.</li>
  <li><code>unavailable</code>.</li>
  </ul></blockquote>
  </li>
  <li>
  <p><strong>day_period</strong> <em>(String)</em></p>
  <p>The time period related to the time value, used for fields with a 12-hour format.</p>
  > [!NOTE]
  > The possible values:
  > * `unspecified` — period is not specified; use with caution.
  > * `before_midday` — AM (before 12:00 noon).
  > * `after_midday` — PM (after 12:00 noon).
  </li>
  <li>
  <p><strong>time</strong> <em>(String)</em></p>
  <p>The applicable time for no-show. The local time in the <code>HH:MM:SS</code> format (24-hour).</p>
  </li>
  </ul>
  </li>
  <li>
  <p><strong>parking</strong> <em>(Object)</em></p>
  <p>The parking policy information.</p>
  <ul>
  <li>
  <p><strong>currency</strong> <em>(String)</em></p>
  <p>The parking price currency. Is the same as the hotel currency.</p>
  </li>
  <li>
  <p><strong>inclusion</strong> <em>(String)</em></p>
  <p>The parking inclusion.</p>
  <blockquote>
  <p>[!NOTE]
  The possible values:</p>
  <ul>
  <li><code>unspecified</code>.</li>
  <li><code>included</code>.</li>
  <li><code>not_included</code>.</li>
  </ul></blockquote>
  </li>
  <li>
  <p><strong>price</strong> <em>(String)</em></p>
  <p>The parking price in the hotel currency.</p>
  </li>
  <li>
  <p><strong>price_unit</strong> <em>(String)</em></p>
  <p>The parking price unit.</p>
  > [!NOTE]
  > The possible values:
  > * `unspecified`.
  > * `per_car_per_night`.
  > * `per_car_per_stay`.
  > * `per_guest_per_night`.
  > * `per_guest_per_stay`.
  > * `per_room_per_night`.
  > * `per_room_per_stay`.
  > * `per_hour`.
  > * `per_week`.
  </li>
  <li>
  <p><strong>territory_type</strong> <em>(String)</em></p>
  <p>The parking territory type.</p>
  > [!NOTE]
  > The possible values:
  > * `unspecified`.
  > * `on_side`.
  > * `off_side`.
  </li>
  </ul>
  </li>
  <li>
  <p><strong>pets</strong> <em>([Object])</em></p>
  <p>The pets’ accommodation policy information.</p>
  <ul>
  <li>
  <p><strong>currency</strong> <em>(String)</em></p>
  <p>The pet accommodation price currency. Is the same as the hotel currency.</p>
  </li>
  <li>
  <p><strong>inclusion</strong> <em>(String)</em></p>
  <p>The pet accommodation inclusion.</p>
  <blockquote>
  <p>[!NOTE]
  The possible values:</p>
  <ul>
  <li><code>unspecified</code>.</li>
  <li><code>included</code>.</li>
  <li><code>not_included</code>.</li>
  </ul></blockquote>
  </li>
  <li>
  <p><strong>pets_type</strong> <em>(String)</em></p>
  <p>The pet weight type.</p>
  > [!NOTE]
  > The possible values:
  > * `unspecified` — no information on the pet weight.
  > * `lt_5kg` — the pet weight is less than 5 kg.
  > * `gt_5kg` — the pet weight is greater than 5 kg.
  </li>
  <li>
  <p><strong>price</strong> <em>(String)</em></p>
  <p>The pet accommodation price in the hotel currency.</p>
  </li>
  <li>
  <p><strong>price_unit</strong> <em>(String)</em></p>
  <p>The pet accommodation price unit.</p>
  <blockquote>
  <p>[!NOTE]
  The possible values:</p>
  <ul>
  <li><code>unspecified</code>.</li>
  <li><code>per_guest_per_night</code>.</li>
  <li><code>per_guest_per_stay</code>.</li>
  <li><code>per_room_per_night</code>.</li>
  <li><code>per_room_per_stay</code>.</li>
  <li><code>per_hour</code>.</li>
  <li><code>per_week</code>.</li>
  </ul></blockquote>
  </li>
  </ul>
  </li>
  <li>
  <p><strong>shuttle</strong> <em>([Object])</em></p>
  <p>The shuttles’ policy information.</p>
  <ul>
  <li>
  <p><strong>currency</strong> <em>(String)</em></p>
  <p>The shuttle price currency. Is the same as the hotel currency.</p>
  </li>
  <li>
  <p><strong>destination_type</strong> <em>(String)</em></p>
  <p>The shuttle destination type.</p>
  > [!NOTE]
  > The possible values:
  > * `unspecified`.
  > * `airport`.
  > * `train`.
  > * `ship`.
  > * `airport_train`.
  </li>
  <li>
  <p><strong>inclusion</strong> <em>(String)</em></p>
  <p>The shuttle inclusion.</p>
  <blockquote>
  <p>[!NOTE]
  The possible values:</p>
  <ul>
  <li><code>unspecified</code>.</li>
  <li><code>included</code>.</li>
  <li><code>not_included</code>.</li>
  </ul></blockquote>
  </li>
  <li>
  <p><strong>shuttle_type</strong> <em>(String)</em></p>
  <p>The shuttle type.</p>
  > [!NOTE]
  > The possible values:
  > * `unspecified`.
  > * `one_way`.
  > * `two_ways`.
  </li>
  <li>
  <p><strong>price</strong> <em>(String)</em></p>
  <p>The shuttle price in the hotel currency.</p>
  </li>
  </ul>
  </li>
  <li>
  <p><strong>visa</strong> <em>([Object])</em></p>
  <p>The visa support policy information.</p>
  <ul>
  <li>
  <p><strong>visa_support</strong> <em>(String)</em></p>
  <p>The visa support for the embassy of the hotel country.</p>
  > [!NOTE]
  > The possible values:
  > * `unspecified` — no information on the visa support.
  > * `support_enable` — the visa supported is available.
  </li>
  </ul>
  </li>
  </ul>


[//]: # (metapolicy_extra_info)
- **metapolicy_extra_info** *(String)*

  <p>The additional hotel information. Is the same as the section “Extra info” from hotel pages on the core website.</p>
  <p>In the field, you can find taxes and fees not included in the booking price.</p>
  <p>The data from the field must be shown to the end user.</p>


[//]: # (phone)
- **phone** *(String)*

  <p>The hotel phone number.</p>


[//]: # (policy_struct)
- **policy_struct** *([Object], deprecated)*

  <p>The additional accommodation conditions. Is the same as the section “Important - Please Note” from hotel pages on the core website.</p>
  <p>In the field, you can find taxes and fees not included in the booking price.</p>
  <p>The data from the field is obligatory for showing to the end user.</p>
  <ul>
  <li>
  <p><strong>paragraphs</strong> <em>([String])</em></p>
  <p>The policy itself.</p>
  </li>
  <li>
  <p><strong>title</strong> <em>(String)</em></p>
  <p>The policy title.</p>
  </li>
  </ul>


[//]: # (postal_code)
- **postal_code** *(String)*

  <p>The hotel postal code.</p>


[//]: # (region)
- **region** *(Object)*

  <p>The region where the hotel is located.</p>
  <ul>
  <li>
  <p><strong>country_code</strong> <em>(String)</em></p>
  <p>Hotel’s country code (capital Latin letters, according to [ISO 3166-1 alpha-2](https://en.wikipedia.org/wiki/ISO_3166-1_alpha-2)
  <p>standard).</p></p>
  </li>
  <li>
  <p><strong>iata</strong> <em>(String)</em></p>
  <p>The region airport [IATA](https://en.wikipedia.org/wiki/IATA_airport_code)
  <p>code.</p></p>
  </li>
  <li>
  <p><strong>id</strong> <em>(String, deprecated)</em></p>
  <p>The unique ID of the region where the hotel is located.</p>
  </li>
  <li>
  <p><strong>name</strong> <em>(String)</em></p>
  <p>The name of the region where the hotel is located.</p>
  </li>
  <li>
  <p><strong>type</strong> <em>(String)</em></p>
  <p>The type of the region where the hotel is located.</p>
  > [!NOTE]
  > * The possible values:
  >     * `Airport`.
  >     * `Bus Station`.
  >     * `City`.
  >     * `Continent`.
  >     * `Country`.
  >     * `Multi-City (Vicinity)`.
  >     * `Multi-Railway Station`.
  >     * `Multi-Region (within a country)`.
  >     * `Neighborhood`.
  >     * `Point of Interest`.
  >     * `Province (State)`.
  >     * `Railway Station`.
  >     * `Street`.
  >     * `Subway (Entrace)`.
  </li>
  </ul>


[//]: # (room_groups)
- **room_groups** *(Object)*

  <p>The list of the hotel room groups.</p>
  <ul>
  <li>
  <p><strong>images</strong> <em>([String], deprecated)</em></p>
  <p>The list of the URLs for the room images.</p>
  > [!WARNING]
  > Please use the `images_ext` field instead of this one.
  <blockquote>
  <p>[!NOTE]</p>
  <ul>
  <li>The recommended method for displaying these images in our UI (e.g., direct linking to the provided URLs).</li>
  <li>We do not block users arbitrarily; restrictions are only applied in case of suspected DDoS attacks.</li>
  <li>Each URL has the <code>{size}</code> placeholder. Meaning, the size of the image you can get.
  <ul>
  <li>The possible size meanings:
  <ul>
  <li><code>crop</code> — the image is fit by the width and is cut equally from the bottom and top till the middle part of the height.</li>
  <li><code>fit-h</code> — the image is fit into the rectangle by the height.</li>
  <li><code>fit-w</code> — the image is scaled so that its width fits the given value, and the height is adjusted proportionally.</li>
  <li><code>fit-w-min</code> — the image is scaled so that its width is at least the specified value (if it&rsquo;s smaller, it is enlarged; if it&rsquo;s larger, it is reduced), while the height is adjusted proportionally. No cropping occurs.</li>
  <li><code>fit</code> — the image is fit into the rectangle by the size in question.</li>
  </ul>
  </li>
  <li>The possible values:
  <ul>
  <li><code>1024x768</code> — fit.</li>
  <li><code>x220</code> — fit-h.</li>
  <li><code>x500</code> — fit-h.</li>
  <li><code>x768</code> — fit-h.</li>
  <li><code>40x40</code> — crop.</li>
  <li><code>80x80</code> — crop.</li>
  <li><code>100x100</code> — crop.</li>
  <li><code>120x120</code> — crop.</li>
  <li><code>241x241</code> — crop.</li>
  <li><code>240x240</code> — crop.</li>
  <li><code>154x105</code> — crop.</li>
  <li><code>170x154</code> — crop.</li>
  <li><code>640x350</code> — crop.</li>
  <li><code>320x175</code> — crop.</li>
  <li><code>200x200</code> — crop.</li>
  <li><code>1080x522</code> — crop.</li>
  <li><code>750x400</code> — crop.</li>
  <li><code>640x400</code> — crop.</li>
  <li><code>120x90</code> — crop.</li>
  <li><code>90x75</code> — crop.</li>
  <li><code>x300</code> — fit-h.</li>
  <li><code>x600</code> — fit-h.</li>
  <li><code>100x130</code> — crop.</li>
  <li><code>x296</code> — fit-h.</li>
  <li><code>100x50</code> — crop.</li>
  <li><code>x100</code> — fit-h.</li>
  <li><code>100x</code> — fit-w.</li>
  <li><code>640x230</code> — crop.</li>
  <li><code>370x</code> — fit-w.</li>
  <li><code>645x255</code> — crop.</li>
  <li><code>450x161</code> — crop.</li>
  <li><code>x102</code> — fit-h.</li>
  <li><code>225x60</code> — fit.</li>
  <li><code>828x560</code> — fit.</li>
  <li><code>640x640</code> — crop.</li>
  <li><code>196x196</code> — crop.</li>
  <li><code>1298x</code> — fit-w.</li>
  <li><code>295x220</code> — crop.</li>
  <li><code>2048x2048</code> — crop.</li>
  <li><code>304x</code> — fit-w.</li>
  <li><code>304x140</code> — crop.</li>
  <li><code>x700</code> — fit-h.</li>
  <li><code>112x112</code> — crop.</li>
  <li><code>695x</code> — fit-w-min.</li>
  <li><code>1300x620</code> — fit-w.</li>
  <li><code>2600x1240</code> — fit-w.</li>
  <li><code>600x313</code> — fit-w.</li>
  <li><code>1200x616</code> — fit-w.</li>
  <li><code>326x220</code> — fit-w.</li>
  <li><code>768x1024</code> — fit-h.</li>
  <li><code>900x900</code> — crop.</li>
  <li><code>1920x1080</code> — fit.</li>
  <li><code>1080x1920</code> — fit-h.</li>
  <li><code>x1080</code> — fit-h.</li>
  <li><code>x1920</code> — fit-h.</li>
  <li><code>1920x</code> — fit-w.</li>
  <li><code>1080x</code> — fit-w.</li>
  </ul>
  </li>
  </ul>
  </li>
  </ul></blockquote>
  </li>
  </ul>
  <ul>
  <li>
  <p><strong>images_ext</strong> <em>([Object])</em></p>
  <p>Information about the room images divided into categories.</p>
  <ul>
  <li>
  <p><strong>category_slug</strong> <em>(String)</em></p>
  <p>The room image category.</p>
  <blockquote>
  <p>[!NOTE]</p>
  <ul>
  <li>The possible values:
  <ul>
  <li><code>unspecified</code> — unspecified.</li>
  <li><code>balcony</code> — balconies.</li>
  <li><code>bathroom</code> — bathrooms.</li>
  <li><code>beach</code> — beaches.</li>
  <li><code>business</code> — business zone.</li>
  <li><code>entertainment</code> — entertainment zones.</li>
  <li><code>exterior</code> — hotel exterior.</li>
  <li><code>guest_rooms</code> — guest rooms.</li>
  <li><code>hotel_front</code> — hotel front.</li>
  <li><code>hotel_rooms</code> — hotel rooms.</li>
  <li><code>lobby</code> — lobby.</li>
  <li><code>meal</code> — meals.</li>
  <li><code>outside</code> — hotel outside view.</li>
  <li><code>pool</code> — pools.</li>
  <li><code>spa</code> — SPA zones.</li>
  <li><code>sports</code> — sport zones.</li>
  <li><code>children</code> — children zones.</li>
  <li><code>miscellaneous</code> — other.</li>
  </ul>
  </li>
  </ul></blockquote>
  </li>
  <li>
  <p><strong>url</strong> <em>(String)</em></p>
  <p>The URL for the room image.</p>
  <blockquote>
  <p>[!NOTE]</p>
  <ul>
  <li>The recommended method for displaying these images in our UI (e.g., direct linking to the provided URLs).</li>
  <li>We do not block users arbitrarily; restrictions are only applied in case of suspected DDoS attacks.</li>
  <li>Each URL has the <code>{size}</code> placeholder. Meaning, the size of the image you can get.
  <ul>
  <li>The possible size meanings:
  <ul>
  <li><code>crop</code> — the image is fit by the width and is cut equally from the bottom and top till the middle part of the height.</li>
  <li><code>fit-h</code> — the image is fit into the rectangle by the height.</li>
  <li><code>fit-w</code> — the image is scaled so that its width fits the given value, and the height is adjusted proportionally.</li>
  <li><code>fit-w-min</code> — the image is scaled so that its width is at least the specified value (if it&rsquo;s smaller, it is enlarged; if it&rsquo;s larger, it is reduced), while the height is adjusted proportionally. No cropping occurs.</li>
  <li><code>fit</code> — the image is fit into the rectangle by the size in question.</li>
  </ul>
  </li>
  <li>The possible values:
  <ul>
  <li><code>1024x768</code> — fit.</li>
  <li><code>x220</code> — fit-h.</li>
  <li><code>x500</code> — fit-h.</li>
  <li><code>x768</code> — fit-h.</li>
  <li><code>40x40</code> — crop.</li>
  <li><code>80x80</code> — crop.</li>
  <li><code>100x100</code> — crop.</li>
  <li><code>120x120</code> — crop.</li>
  <li><code>241x241</code> — crop.</li>
  <li><code>240x240</code> — crop.</li>
  <li><code>154x105</code> — crop.</li>
  <li><code>170x154</code> — crop.</li>
  <li><code>640x350</code> — crop.</li>
  <li><code>320x175</code> — crop.</li>
  <li><code>200x200</code> — crop.</li>
  <li><code>1080x522</code> — crop.</li>
  <li><code>750x400</code> — crop.</li>
  <li><code>640x400</code> — crop.</li>
  <li><code>120x90</code> — crop.</li>
  <li><code>90x75</code> — crop.</li>
  <li><code>x300</code> — fit-h.</li>
  <li><code>x600</code> — fit-h.</li>
  <li><code>100x130</code> — crop.</li>
  <li><code>x296</code> — fit-h.</li>
  <li><code>100x50</code> — crop.</li>
  <li><code>x100</code> — fit-h.</li>
  <li><code>100x</code> — fit-w.</li>
  <li><code>640x230</code> — crop.</li>
  <li><code>370x</code> — fit-w.</li>
  <li><code>645x255</code> — crop.</li>
  <li><code>450x161</code> — crop.</li>
  <li><code>x102</code> — fit-h.</li>
  <li><code>225x60</code> — fit.</li>
  <li><code>828x560</code> — fit.</li>
  <li><code>640x640</code> — crop.</li>
  <li><code>196x196</code> — crop.</li>
  <li><code>1298x</code> — fit-w.</li>
  <li><code>295x220</code> — crop.</li>
  <li><code>2048x2048</code> — crop.</li>
  <li><code>304x</code> — fit-w.</li>
  <li><code>304x140</code> — crop.</li>
  <li><code>x700</code> — fit-h.</li>
  <li><code>112x112</code> — crop.</li>
  <li><code>695x</code> — fit-w-min.</li>
  <li><code>1300x620</code> — fit-w.</li>
  <li><code>2600x1240</code> — fit-w.</li>
  <li><code>600x313</code> — fit-w.</li>
  <li><code>1200x616</code> — fit-w.</li>
  <li><code>326x220</code> — fit-w.</li>
  <li><code>768x1024</code> — fit-h.</li>
  <li><code>900x900</code> — crop.</li>
  <li><code>1920x1080</code> — fit.</li>
  <li><code>1080x1920</code> — fit-h.</li>
  <li><code>x1080</code> — fit-h.</li>
  <li><code>x1920</code> — fit-h.</li>
  <li><code>1920x</code> — fit-w.</li>
  <li><code>1080x</code> — fit-w.</li>
  </ul>
  </li>
  </ul>
  </li>
  </ul></blockquote>
  </li>
  </ul>
  </li>
  </ul>
  <ul>
  <li>
  <p><strong>name</strong> <em>(String)</em></p>
  <p>The full room name.</p>
  </li>
  </ul>
  <ul>
  <li>
  <p><strong>room_amenities</strong> <em>([String])</em></p>
  <p>The room amenity list.</p>
  <p>To get all available room amenities and their definitions, use the <code>room_amenities</code> field from the [Retrieve hotel static data](/docs/affiliate-api/static-content/retrieve-hotel-static-data/)
   call.</p>
  </li>
  </ul>
  <ul>
  <li>
  <p><strong>room_group_id</strong> <em>(Int, deprecated)</em></p>
  <p>The room ID.</p>
  </li>
  </ul>
  <ul>
  <li>
  <p><strong>rg_ext</strong> <em>(Object)</em></p>
  <p>The room ID.</p>
  <ul>
  <li>
  <p><strong>class</strong> <em>(Int)</em></p>
  <p>The room class information.</p>
  > [!NOTE]
  > The possible values:
  > * `0` — run of house.
  > * `1` — dorm.
  > * `2` — capsule.
  > * `3` — room.
  > * `4` — junior suite.
  > * `5` — suite.
  > * `6` — apartment.
  > * `7` — studio.
  > * `8` — villa.
  > * `9` — cottage.
  > * `17` — bungalow.
  > * `18` — chalet.
  > * `19` — camping.
  > * `20` — tent.
  </li>
  <li>
  <p><strong>quality</strong> <em>(Int)</em></p>
  <p>The room quality information.</p>
  > [!NOTE]
  > The possible values:
  > * `0` — undefined.
  > * `1` — economy.
  > * `2` — standard.
  > * `3` — comfort.
  > * `4` — business.
  > * `5` — superior.
  > * `6` — deluxe.
  > * `7` — premier.
  > * `8` — executive.
  > * `9` — presidential.
  > * `17` — premium.
  > * `18` — classic.
  > * `19` — ambassador.
  > * `20` — grand.
  > * `21` — luxury.
  > * `22` — platinum.
  > * `23` — prestige.
  > * `24` — privilege.
  > * `25` — royal.
  </li>
  <li>
  <p><strong>sex</strong> <em>(Int)</em></p>
  <p>The room gender restrictions.</p>
  > [!NOTE]
  > The possible values:
  > * `0` — undefined.
  > * `1` — male.
  > * `2` — female.
  > * `3` — mixed.
  </li>
  <li>
  <p><strong>bathroom</strong> <em>(Int)</em></p>
  <p>The room bathroom information.</p>
  > [!NOTE]
  > The possible values:
  > * `0` — undefined.
  > * `1` — a shared bathroom.
  > * `2` — a private bathroom
  > * `3` — an external private bathroom.
  </li>
  <li>
  <p><strong>bedding</strong> <em>(Int)</em></p>
  <p>The room bedding information.</p>
  > [!NOTE]
  > The possible values:
  > * `0` — undefined.
  > * `1` — a bunk bed.
  > * `2` — a single bed.
  > * `3` — a double bed.
  > * `4` — a twin bed.
  > * `7` — multiple beds.
  > * `8` — chair-bed.
  > * `9` — sofa.
  </li>
  <li>
  <p><strong>family</strong> <em>(Int)</em></p>
  <p>Whether it is a family room or not.</p>
  > [!NOTE]
  > The possible values:
  > * `0` — not a family room.
  > * `1` — a family room.
  </li>
  <li>
  <p><strong>capacity</strong> <em>(Int)</em></p>
  <p>The maximum number of main bed places without additional charges and excluding extra beds, cots, etc.</p>
  > [!NOTE]
  > The possible values:
  > * `0` — undefined.
  > * `1` — single.
  > * `2` — double.
  > * `3` — triple.
  > * `4` — quadruple.
  > * `5` — quintuple.
  > * `6` — sextuple.
  </li>
  <li>
  <p><strong>club</strong> <em>(Int)</em></p>
  <p>Whether it is a club room or not.</p>
  > [!NOTE]
  > The possible values:
  > * `0` — not a club room.
  > * `1` — a club room.
  </li>
  <li>
  <p><strong>bedrooms</strong> <em>(Int)</em></p>
  <p>The bedroom number.</p>
  > [!NOTE]
  > The possible values:
  > * `0` — undefined.
  > * `1` — 1 bedroom.
  > * `2` — 2 bedrooms.
  > * `3` — 3 bedrooms.
  > * `4` — 4 bedrooms.
  > * `5` — 5 bedrooms.
  > * `6` — 6 bedrooms.
  </li>
  <li>
  <p><strong>balcony</strong> <em>(Int)</em></p>
  <p>Whether there is a balcony or not.</p>
  > [!NOTE]
  > The possible values:
  > * `0` — no balcony.
  > * `1` — a balcony.
  </li>
  <li>
  <p><strong>view</strong> <em>(Int)</em></p>
  <p>The room view information.</p>
  > [!NOTE]
  > The possible values:
  > * `0` — undefined.
  > * `1` — bay view.
  > * `2` — bosphorus view.
  > * `3` — burj-khalifa view.
  > * `4` — canal view.
  > * `5` — city view.
  > * `6` — courtyard view.
  > * `7` — dubai-marina view.
  > * `8` — garden view.
  > * `9` — golf view.
  > * `17` — harbour view.
  > * `18` — inland view.
  > * `19` — kremlin view.
  > * `20` — lake view.
  > * `21` — land view.
  > * `22` — mountain view.
  > * `23` — ocean view.
  > * `24` — panoramic view.
  > * `25` — park view.
  > * `26` — partial-ocean view.
  > * `27` — partial-sea view.
  > * `28` — partial view.
  > * `29` — pool view.
  > * `30` — river view.
  > * `31` — sea view.
  > * `32` — sheikh-zayed view.
  > * `33` — street view.
  > * `34` — sunrise view.
  > * `35` — sunset view.
  > * `36` — water view.
  > * `37` — with view.
  > * `38` — beachfront.
  > * `39` — ocean front.
  > * `40` — sea front.
  </li>
  <li>
  <p><strong>floor</strong> <em>(Int)</em></p>
  <p>The room floor Information.</p>
  > [!NOTE]
  > The possible values:
  > * `0` — undefined.
  > * `1` — a penthouse floor.
  > * `2` — a duplex floor.
  > * `3` — a basement floor.
  > * `4` — an attic floor.
  </li>
  </ul>
  </li>
  </ul>
  <ul>
  <li>
  <p><strong>size</strong> <em>(Number)</em></p>
  <p>Room area in square meters.</p>
  > [!NOTE]
  > * This parameter is available only via the [Content API](/docs/content-api/) for partners with the relevant feature enabled. 
  > * To activate it, please contact your account manager and ensure a supplementary agreement is signed. 
  > * Not available in data dumps.
  </li>
  </ul>
  <ul>
  <li>
  <p><strong>name_struct</strong> <em>(Object)</em></p>
  <p>The structured room name.</p>
  <ul>
  <li>
  <p><strong>bathroom</strong> <em>(String)</em></p>
  <p>The room bathroom information.</p>
  <p>Has the <code>null</code> value, if it is a private bathroom.</p>
  </li>
  <li>
  <p><strong>bedding_type</strong> <em>(String)</em></p>
  <p>The room bedding information.</p>
  </li>
  <li>
  <p><strong>main_name</strong> <em>(String)</em></p>
  <p>The room name.</p>
  </li>
  </ul>
  </li>
  </ul>


[//]: # (star_rating)
- **star_rating** *(Int)*

  <p>The hotel rating on a scale from <code>1</code> to <code>5</code>. Has the <code>0</code> value for no available rating.</p>
  > [!NOTE]
  > * The minimum value is `0`.
  > * The maximum value is `5`.


[//]: # (serp_filters)
- **serp_filters** *([String])*

  <p>The list of amenities for the hotel selection based on a cumulative set of features from:</p>
  <ul>
  <li>All the hotels’ rates.</li>
  <li>And common hotels’ features.</li>
  </ul>
  <p>To get all available room amenities and their definitions, use the <code>serp_filters</code> field from the [Retrieve hotel static data](/docs/affiliate-api/static-content/retrieve-hotel-static-data/)
   call.</p>


[//]: # (star_certificate)
- **star_certificate** *(Object)*

  <p>Information about the hotel star certificate.</p>
  <p>Applicable only for hotels in some specific countries.</p>
  <p>Has the <code>null</code> value if there is no information about the star certificate.</p>
  <ul>
  <li>
  <p><strong>valid_to</strong> <em>(String)</em></p>
  <p>The valid true date.</p>
  </li>
  <li>
  <p><strong>certificate_id</strong> <em>(String)</em></p>
  <p>The certificate ID.</p>
  <p>Has the <code>null</code> value if there is no information about the certificate ID.</p>
  </li>
  </ul>


[//]: # (is_closed)
- **is_closed** *(Boolean)*

  <p>Whether the hotel property is closed or not.</p>


[//]: # (keys_pickup)
- **keys_pickup** *(Object)*

  <p>Information about how to pick up the hotel room keys.</p>
  <ul>
  <li>
  <p><strong>type</strong> <em>(String)</em></p>
  <p>The picking-up type.</p>
  > [!NOTE]
  > The possible values:
  > * `unspecified` — no instructions.
  > * `phone` — get the keys with a call. To get the instructions, call the phone number in the `phone` field of this object.
  > * `address` — get the keys on the address specified in the `apartment_office_address` field of this object.
  > * `smartlock` — get the keys in a smart lock. Can be opened with an app or code.
  > * `keypad` — get the keys in a lock with a keypad.
  > * `lockbox` — get the keys in a lock box.
  > * `reception` — get the keys at the 24-hour reception.
  </li>
  <li>
  <p><strong>phone</strong> <em>(String)</em></p>
  <p>The phone number for contacting purposes. The phone number must be valid.</p>
  > [!NOTE]
  > * The minimum length is `5` characters.
  > * The maximum length is `35` characters.
  </li>
  <li>
  <p><strong>is_contactless</strong> <em>(Boolean)</em></p>
  <p>Whether the hotel room keys’ pick-up is contactless or not.</p>
  </li>
  <li>
  <p><strong>email</strong> <em>(String)</em></p>
  <p>The email address for contacting purposes. The email address must be valid.</p>
  </li>
  <li>
  <p><strong>apartment_office_address</strong> <em>(String)</em></p>
  <p>The actual pick-up reception address.</p>
  </li>
  <li>
  <p><strong>apartment_extra_information</strong> <em>(String)</em></p>
  <p>The additional pick-up information.</p>
  </li>
  </ul>


[//]: # (distance_center)
- **distance_center** *(Number)*

  <p>Distance from the property to the city center, in meters.</p>
  > [!NOTE]
  > * This parameter is available only via the [Content API](/docs/content-api/) for partners with the relevant feature enabled. 
  > * To activate it, please contact your account manager and ensure a supplementary agreement is signed. 
  > * Not available in data dumps.


[//]: # (facts)
- **facts** *(Object)*

  <p>The hotel information.</p>
  <ul>
  <li>
  <p><strong>floors_number</strong> <em>(Int)</em></p>
  <p>The floors number.</p>
  </li>
  </ul>
  <ul>
  <li>
  <p><strong>register</strong> <em>(Object)</em></p>
  <p>Information about the hotel registration in the FSA register.</p>
  <p>Applicable only for hotels in some specific countries.</p>
  <p>Has the <code>null</code> value if there is no information about the registration.</p>
  <ul>
  <li>
  <p><strong>record</strong> <em>(String)</em></p>
  <p>Registration number in the FSA register.</p>
  </li>
  <li>
  <p><strong>link</strong> <em>(String)</em></p>
  <p>Link to the FSA register.</p>
  </li>
  <li>
  <p><strong>email</strong> <em>(String)</em></p>
  <p>The hotel email address in the FSA register.</p>
  </li>
  <li>
  <p><strong>phone</strong> <em>(String)</em></p>
  <p>The hotel phone number in the FSA register.</p>
  </li>
  <li>
  <p><strong>status</strong> <em>(String)</em></p>
  <p>Status of the object in the FSA register. Determines whether the object can be displayed and sold. Possible values:</p>
  <ul>
  <li><code>Active</code> — the object can be both displayed and sold.</li>
  <li><code>Suspended</code> — the object can be displayed, but selling is not available.</li>
  <li><code>Terminated</code> — the object cannot be displayed or sold.</li>
  <li><code>Unspecified</code> — status is unknown, used for unexpected values from an external source.</li>
  </ul>
  </li>
  <li>
  <p><strong>kind</strong> <em>(String)</em></p>
  <p>The hotel type in the FSA register.</p>
  > [!NOTE]
  > The possible values:
  > * `unspecified` — hotel type is not specified.
  > * `hotel` — classic hotel.
  > * `camping` — camping, accommodation in nature (tents, cabins, etc.).
  > * `resort` — resort hotel, often with leisure or recreational facilities.
  > * `sanatorium` — sanatorium, health and wellness facility.
  > * `guesthouse` — guesthouse, small private accommodation.
  </li>
  <li>
  <p><strong>name</strong> <em>(String)</em></p>
  <p>Name of the hotel in the FSA register.</p>
  </li>
  <li>
  <p><strong>address</strong> <em>(String)</em></p>
  <p>The hotel address in the FSA register.</p>
  </li>
  <li>
  <p><strong>status_end_date</strong> <em>(String)</em></p>
  <p>Expiry date of the object in the FSA register.</p>
  </li>
  <li>
  <p><strong>rooms</strong> <em>(Object)</em></p>
  <p>Information about hotel rooms from the FSA register.</p>
  <ul>
  <li>
  <p><strong>rooms_count</strong> <em>(Int)</em></p>
  <p>Number of rooms by category.</p>
  </li>
  <li>
  <p><strong>category_type</strong> <em>(String)</em></p>
  <p>Name of room categories.</p>
  <ul>
  <li>
  <p><strong>fsa_kind</strong> <em>(String, cancelled)</em></p>
  <p>The hotel type in the FSA register.</p>
  > [!NOTE]
  > The possible values:
  > * `unspecified` — hotel type is not specified.
  > * `hotel` — classic hotel.
  > * `camping` — camping, accommodation in nature (tents, cabins, etc.).
  > * `resort` — resort hotel, often with leisure or recreational facilities.
  > * `sanatorium` — sanatorium, health and wellness facility.
  > * `guesthouse` — guesthouse, small private accommodation.
  </li>
  <li>
  <p><strong>fsa_name</strong> <em>(String, cancelled)</em></p>
  <p>Name of the hotel in the FSA register.</p>
  </li>
  </ul>
  </li>
  </ul>
  </li>
  </ul>
  </li>
  </ul>
  <ul>
  <li>
  <p><strong>rooms_number</strong> <em>(Int)</em></p>
  <p>The rooms number.</p>
  </li>
  </ul>
  <ul>
  <li>
  <p><strong>year_built</strong> <em>(Int)</em></p>
  <p>The construction year.</p>
  </li>
  </ul>
  <ul>
  <li>
  <p><strong>year_renovated</strong> <em>(Int)</em></p>
  <p>The renovation year.</p>
  </li>
  </ul>
  <ul>
  <li>
  <p><strong>electricity</strong> <em>(Object)</em></p>
  <p>The socket type.</p>
  <ul>
  <li>
  <p><strong>frequency</strong> <em>([Int])</em></p>
  <p>The sockets’ frequency.</p>
  </li>
  <li>
  <p><strong>voltage</strong> <em>([Int])</em></p>
  <p>The sockets’ voltage.</p>
  </li>
  <li>
  <p><strong>sockets</strong> <em>([String])</em></p>
  <p>The socket types.</p>
  <p>To get all available socket types and their definitions, use the <code>socket_types</code> field from the [Retrieve hotel static data](/docs/affiliate-api/static-content/retrieve-hotel-static-data/)
   call.</p>
  </li>
  </ul>
  </li>
  </ul>


[//]: # (payment_methods)
- **payment_methods** *([String])*

  <p>The card types accepted at the hotel when pay there.</p>
  > [!NOTE]
  > The possible values:
  > * `unspecified` — unspecified.
  > * `american_express` — American Express.
  > * `cash` — cash.
  > * `china_unionpay` — China UnionPay.
  > * `diners_club` — Diners Club International.
  > * `euro_mastercard` — Euro/Mastercard.
  > * `jcb` — JCB.
  > * `maestro` — Maestro.
  > * `master_card` — Mastercard.
  > * `switch_maestro` — Switch (Maestro).
  > * `visa` — Visa.
  > * `visa_debit` — Visa Debit.
  > * `vise_delta` — Visa Delta.
  > * `visa_electron` — Visa Electron.
  > * `pro100` — Pro100.


[//]: # (front_desk_time_start)
- **front_desk_time_start** *(String)*

  <p>The reception opening time. The local time in the <code>HH:MM:SS</code> format.</p>


[//]: # (front_desk_time_end)
- **front_desk_time_end** *(String)*

  <p>The reception closing time. The local time in the <code>HH:MM:SS</code> format.</p>


[//]: # (is_gender_specification_required)
- **is_gender_specification_required** *(Boolean)*

  <p>Whether the guests’ gender is required by the hotel or not.</p>





## Response example

 ```json
{
  "data": [
    {
      "address": "Katiet Bosua,South Sipora,Mentawai, Katiet",
      "amenity_groups": [],
      "check_in_time": "14:00:00",
      "check_in_time_end": "",
      "check_out_time": "12:00:00",
      "description_struct": [
        {
          "paragraphs": [
            "You’ll be sleeping tight! Hotel «Lances Right Villas Katiet» is located in Katiet. This hotel is located minutes away from the city center."
          ],
          "title": "Location"
        }
      ],
      "email": "",
      "hotel_chain": "No chain",
      "hid": 9852019,
      "id": "lances_right_villas_katiet",
      "images_ext": [],
      "kind": "Hotel",
      "latitude": -2.37579,
      "longitude": 99.84819,
      "name": "Lances Right Villas Katiet",
      "metapolicy_struct": {
        "add_fee": [],
        "check_in_check_out": [],
        "children": [],
        "children_meal": [],
        "cot": [],
        "deposit": [],
        "extra_bed": [],
        "internet": [],
        "meal": [],
        "no_show": {
          "availability": "unspecified",
          "day_period": "unspecified",
          "time": ""
        },
        "parking": [],
        "pets": [],
        "shuttle": [],
        "visa": {
          "visa_support": "unspecified"
        }
      },
      "metapolicy_extra_info": "To prevent the spread of the Mpox virus, the Indonesian Ministry of Health has resumed health screening for international travelers (both Indonesian and foreign nationals) entering Indonesia from August 27, 2024. This includes completing an electronic self-declaration form called SATUSEHAT Health Pass, which must be completed on a dedicated web platform.\n<ul>  <li>There is no hot water on site. </li> </ul>",
      "phone": "62-08126626702",
      "policy_struct": [
        {
          "paragraphs": [
            "Information about the type of meals included in the price is indicated in the rate details.",
            "Meals may be limited during Ramadan."
          ],
          "title": "Meals"
        },
        {
          "paragraphs": [
            "Couples checking into the same room must present a valid marriage certificate upon check-in. Otherwise, the property may reject the booking or request that a second room be booked."
          ],
          "title": "Special living conditions"
        },
        {
          "paragraphs": [
            "To prevent the spread of the Mpox virus, the Indonesian Ministry of Health has resumed health screening for international travelers (both Indonesian and foreign nationals) entering Indonesia from August 27, 2024. This includes completing an electronic self-declaration form called SATUSEHAT Health Pass, which must be completed on a dedicated web platform.",
            "<ul>  <li>There is no hot water on site. </li> </ul>"
          ],
          "title": "Extra info"
        }
      ],
      "postal_code": "25972",
      "region": {
        "country_code": "ID",
        "iata": "",
        "id": 965851524,
        "name": "Katiet",
        "type": "City"
      },
      "room_groups": [],
      "star_rating": 2,
      "serp_filters": null,
      "star_certificate": {
        "valid_to": "",
        "certificate_id": ""
      },
      "is_closed": false,
      "facts": {
        "electricity": {
          "frequency": [
            50
          ],
          "voltage": [
            230
          ],
          "sockets": [
            "c",
            "f"
          ]
        },
        "type": "",
        "floors_number": 0,
        "rooms_number": 0,
        "year_built": 0,
        "year_renovated": 0,
        "register": {
          "record": "",
          "link": "",
          "email": "",
          "phone": "",
          "status": "",
          "kind": "unspecified",
          "name": "",
          "address": "",
          "status_end_date": "",
          "rooms": []
        }
      },
      "payment_methods": null,
      "front_desk_time_start": "",
      "front_desk_time_end": "",
      "is_gender_specification_required": false,
      "deleted": false,
      "keys_pickup": {
        "type": "unspecified",
        "phone": "",
        "is_contactless": false,
        "email": "",
        "apartment_office_address": "",
        "apartment_extra_information": ""
      },
      "distance_center": 974.3,
      "giata_code": "1087889"
    }
  ],
  "debug": {
    "api_endpoint": {
      "endpoint": "api/content/v1/hotel_content_by_ids",
      "is_active": true,
      "is_limited": true,
      "remaining": 99999,
      "requests_number": 100000,
      "reset": "2026-04-13T16:21:00",
      "seconds_number": 60
    },
    "request": {
      "hids": [
        9852019
      ],
      "language": "en",
      "check_in_time_end": "23:59:00"
    },
    "method": "POST",
    "real_ip": "104.30.161.77",
    "request_id": "70f39e5f8f696faf56d9eac2aeb34a12",
    "key_id": 1234,
    "api_key_id": 1234,
    "utcnow": "2026-04-13T16:20:53.532594"
  },
  "status": "ok",
  "error": null
}
```

## Errors

The `error` field has the value specified in the headers below.

### `invalid_params`

One or more input parameters are incorrect.  For more details, see the response field debug [validation_error](/docs/fundamentals/errors/#400).

### `no_content`

An internal search error. Has `500` status code.
